Package org.eclipse.microprofile.config.tck

# Class ConverterTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.config.tck.ConverterTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class ConverterTest extends org.jboss.arquillian.testng.Arquillian

Author:
  Mark Struberg, Emily Jiang, John D. Ament, Gunnar Morling

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ConverterTest.InjectingBean`

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`ConverterTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deploy()`
`void`
`testBoolean()`
`void`
`testbyte()`
`void`
`testByte()`
`void`
`testByte_Broken()`
`void`
`testchar()`
`void`
`testChar()`
`void`
`testChar_Broken()`
`void`
`testConverterSerialization()`
`void`
`testCustomConverter()`
`void`
`testDonaldConversionWithLambdaConverter()`
`void`
`testDonaldConversionWithMultipleLambdaConverters()`
`void`
`testDonaldNotConvertedByDefault()`
`void`
`testdouble()`
`void`
`testDouble()`
`void`
`testDouble_Broken()`
`void`
`testDuckConversionWithMultipleConverters()`
`void`
`testDuration()`
`void`
`testDuration_Broken()`
`void`
`testfloat()`
`void`
`testFloat()`
`void`
`testFloat_Broken()`
`void`
`testGetBooleanConverter()`
`void`
`testGetbyteConverter()`
`void`
`testGetByteConverter()`
`void`
`testGetByteConverter_Broken()`
`void`
`testGetcharConverter()`
`void`
`testGetCharConverter()`
`void`
`testGetCharConverter_Broken()`
`void`
`testGetConverterSerialization()`
`void`
`testGetCustomConverter()`
`void`
`testGetDonaldConverterWithLambdaConverter()`
`void`
`testGetDonaldConverterWithMultipleLambdaConverters()`
`void`
`testGetdoubleConverter()`
`void`
`testGetDoubleConverter()`
`void`
`testGetDoubleConverter_Broken()`
`void`
`testGetDuckConverterWithMultipleConverters()`
`void`
`testGetDurationConverter_Broken()`
`void`
`testGetDurationCoverter()`
`void`
`testGetfloatConverter()`
`void`
`testGetFloatConverter()`
`void`
`testGetFloatConverter_Broken()`
`void`
`testGetInstantConverter()`
`void`
`testGetInstantConverter_Broken()`
`void`
`testGetIntConverter()`
`void`
`testGetIntegerConverter()`
`void`
`testGetIntegerConverter_Broken()`
`void`
`testGetLocalDateConverter()`
`void`
`testGetLocalDateConverter_Broken()`
`void`
`testGetLocalDateTimeConverter()`
`void`
`testGetLocalDateTimeConverter_Broken()`
`void`
`testGetLocalTimeConverter()`
`void`
`testGetLocalTimeConverter_Broken()`
`void`
`testGetlongConverter()`
`void`
`testGetLongConverter()`
`void`
`testGetLongConverter_Broken()`
`void`
`testGetOffsetDateTimeConverter()`
`void`
`testGetOffsetDateTimeConverter_Broken()`
`void`
`testGetOffsetTimeConverter()`
`void`
`testGetOffsetTimeConverter_Broken()`
`void`
`testGetshortConverter()`
`void`
`testGetShortConverter()`
`void`
`testGetShortConverter_Broken()`
`void`
`testGetURIConverter()`
`void`
`testGetURIConverterBroken()`
`void`
`testGetURLConverter()`
`void`
`testGetURLConverterBroken()`
`void`
`testGetZoneOffsetConverter()`
`void`
`testGetZoneOffsetConverter_Broken()`
`void`
`testInstant()`
`void`
`testInstant_Broken()`
`void`
`testInt()`
`void`
`testInteger()`
`void`
`testInteger_Broken()`
`void`
`testLocalDate()`
`void`
`testLocalDate_Broken()`
`void`
`testLocalDateTime()`
`void`
`testLocalDateTime_Broken()`
`void`
`testLocalTime()`
`void`
`testLocalTime_Broken()`
`void`
`testlong()`
`void`
`testLong()`
`void`
`testLong_Broken()`
`void`
`testNoDonaldConverterByDefault()`
`void`
`testOffsetDateTime()`
`void`
`testOffsetDateTime_Broken()`
`void`
`testOffsetTime()`
`void`
`testOffsetTime_Broken()`
`void`
`testshort()`
`void`
`testShort()`
`void`
`testShort_Broken()`
`void`
`testURIConverter()`
`void`
`testURIConverterBroken()`
`void`
`testURLConverter()`
`void`
`testURLConverterBroken()`
`void`
`testZoneOffset()`
`void`
`testZoneOffset_Broken()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConverterTest

public ConverterTest()

## Method Details

### deploy

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

### testDonaldNotConvertedByDefault

public void testDonaldNotConvertedByDefault()

### testNoDonaldConverterByDefault

public void testNoDonaldConverterByDefault()

### testDonaldConversionWithLambdaConverter

public void testDonaldConversionWithLambdaConverter()

### testGetDonaldConverterWithLambdaConverter

public void testGetDonaldConverterWithLambdaConverter()

### testDonaldConversionWithMultipleLambdaConverters

public void testDonaldConversionWithMultipleLambdaConverters()

### testGetDonaldConverterWithMultipleLambdaConverters

public void testGetDonaldConverterWithMultipleLambdaConverters()

### testByte

public void testByte()

### testbyte

public void testbyte()

### testByte_Broken

public void testByte_Broken()

### testGetByteConverter

public void testGetByteConverter()

### testGetbyteConverter

public void testGetbyteConverter()

### testGetByteConverter_Broken

public void testGetByteConverter_Broken()

### testShort

public void testShort()

### testshort

public void testshort()

### testShort_Broken

public void testShort_Broken()

### testGetShortConverter

public void testGetShortConverter()

### testGetshortConverter

public void testGetshortConverter()

### testGetShortConverter_Broken

public void testGetShortConverter_Broken()

### testInteger

public void testInteger()

### testInt

public void testInt()

### testInteger_Broken

public void testInteger_Broken()

### testGetIntegerConverter

public void testGetIntegerConverter()

### testGetIntConverter

public void testGetIntConverter()

### testGetIntegerConverter_Broken

public void testGetIntegerConverter_Broken()

### testLong

public void testLong()

### testlong

public void testlong()

### testLong_Broken

public void testLong_Broken()

### testGetLongConverter

public void testGetLongConverter()

### testGetlongConverter

public void testGetlongConverter()

### testGetLongConverter_Broken

public void testGetLongConverter_Broken()

### testFloat

public void testFloat()

### testfloat

public void testfloat()

### testFloat_Broken

public void testFloat_Broken()

### testGetFloatConverter

public void testGetFloatConverter()

### testGetfloatConverter

public void testGetfloatConverter()

### testGetFloatConverter_Broken

public void testGetFloatConverter_Broken()

### testDouble

public void testDouble()

### testdouble

public void testdouble()

### testDouble_Broken

public void testDouble_Broken()

### testGetDoubleConverter

public void testGetDoubleConverter()

### testGetdoubleConverter

public void testGetdoubleConverter()

### testGetDoubleConverter_Broken

public void testGetDoubleConverter_Broken()

### testChar

public void testChar()

### testchar

public void testchar()

### testChar_Broken

public void testChar_Broken()

### testGetCharConverter

public void testGetCharConverter()

### testGetcharConverter

public void testGetcharConverter()

### testGetCharConverter_Broken

public void testGetCharConverter_Broken()

### testDuration

public void testDuration()

### testDuration_Broken

public void testDuration_Broken()

### testGetDurationCoverter

public void testGetDurationCoverter()

### testGetDurationConverter_Broken

public void testGetDurationConverter_Broken()

### testLocalTime

public void testLocalTime()

### testLocalTime_Broken

public void testLocalTime_Broken()

### testGetLocalTimeConverter

public void testGetLocalTimeConverter()

### testGetLocalTimeConverter_Broken

public void testGetLocalTimeConverter_Broken()

### testLocalDate

public void testLocalDate()

### testLocalDate_Broken

public void testLocalDate_Broken()

### testGetLocalDateConverter

public void testGetLocalDateConverter()

### testGetLocalDateConverter_Broken

public void testGetLocalDateConverter_Broken()

### testLocalDateTime

public void testLocalDateTime()

### testLocalDateTime_Broken

public void testLocalDateTime_Broken()

### testGetLocalDateTimeConverter

public void testGetLocalDateTimeConverter()

### testGetLocalDateTimeConverter_Broken

public void testGetLocalDateTimeConverter_Broken()

### testOffsetDateTime

public void testOffsetDateTime()

### testOffsetDateTime_Broken

public void testOffsetDateTime_Broken()

### testGetOffsetDateTimeConverter

public void testGetOffsetDateTimeConverter()

### testGetOffsetDateTimeConverter_Broken

public void testGetOffsetDateTimeConverter_Broken()

### testOffsetTime

public void testOffsetTime()

### testOffsetTime_Broken

public void testOffsetTime_Broken()

### testGetOffsetTimeConverter

public void testGetOffsetTimeConverter()

### testGetOffsetTimeConverter_Broken

public void testGetOffsetTimeConverter_Broken()

### testZoneOffset

public void testZoneOffset()

### testZoneOffset_Broken

public void testZoneOffset_Broken()

### testGetZoneOffsetConverter

public void testGetZoneOffsetConverter()

### testGetZoneOffsetConverter_Broken

public void testGetZoneOffsetConverter_Broken()

### testInstant

public void testInstant()

### testInstant_Broken

public void testInstant_Broken()

### testGetInstantConverter

public void testGetInstantConverter()

### testGetInstantConverter_Broken

public void testGetInstantConverter_Broken()

### testBoolean

public void testBoolean()

### testGetBooleanConverter

public void testGetBooleanConverter()

### testCustomConverter

public void testCustomConverter()

### testGetCustomConverter

public void testGetCustomConverter()

### testDuckConversionWithMultipleConverters

public void testDuckConversionWithMultipleConverters()

### testGetDuckConverterWithMultipleConverters

public void testGetDuckConverterWithMultipleConverters()

### testURLConverter

public void testURLConverter() throws MalformedURLException, URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

### testURLConverterBroken

public void testURLConverterBroken() throws Exception

Throws:
  `Exception`

### testGetURLConverter

public void testGetURLConverter() throws MalformedURLException, URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

### testGetURLConverterBroken

public void testGetURLConverterBroken() throws Exception

Throws:
  `Exception`

### testURIConverter

public void testURIConverter()

### testURIConverterBroken

public void testURIConverterBroken() throws Exception

Throws:
  `Exception`

### testGetURIConverter

public void testGetURIConverter()

### testGetURIConverterBroken

public void testGetURIConverterBroken() throws Exception

Throws:
  `Exception`

### testConverterSerialization

public void testConverterSerialization()

### testGetConverterSerialization

public void testGetConverterSerialization()